Loading...
Searching...
No Matches
DitherLUT Class Reference

`#include <nanovdb/util/DitherLUT.h>`

## Public Member Functions

| DitherLUT (bool enable=true)
| Constructor with an optional scaling factor for the dithering.
float | operator() (const int offset)
| Retrieves dither threshold for an offset within an 8^3 leaf nodes.

## Constructor & Destructor Documentation

## DitherLUT()

DitherLUT | ( | bool | enable = true | ) |

inline

Constructor with an optional scaling factor for the dithering.

## Member Function Documentation

## operator()()

float operator() | ( | const int | offset | ) |

inline

Retrieves dither threshold for an offset within an 8^3 leaf nodes.

Parameters

  offset | into the lookup table of size 512